> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Retrieves information on Geo Batch file status

GET https://api.communications.avalara.com/api/v2/geo/batch/status/{processId}

> **Access control:** this endpoint is available to users with the `everyone` role.

Retrieves information on Geo Batch file status

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax-for-communications/public-reference/get-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `processId` (string, required) — Process Id for Geo Batch File.

### Headers

- `client_id` (integer, required) — The client id.

## Response

### 200

OK

- `ProcessId` (integer, optional, nullable) — Process ID for Batch file.
- `RequestDate` (datetime, optional, nullable) — Request Date.
- `ProcessingStart` (datetime, optional, nullable) — Processing Start.
- `ProcessingEnd` (datetime, optional, nullable) — Processing End.
- `Status` (string, optional, nullable) — Status Of Batch File.
- `Downloads` (GeoBatchDownloadResponse, optional) — Response body for Geo Batch Submit File API.
- `Error` (list of Error, optional, nullable) — Error information.

## Types

### GeoBatchDownloadResponse

Response body for Geo Batch Submit File API.

- `InputFile` (string, optional, nullable) — Input File Name.
- `InputFileDownload` (string, optional, nullable) — Input File Download.
- `OutputFile` (string, optional, nullable) — Output File Name.
- `OutputFileDownload` (string, optional, nullable) — Output File Name.

### Error

Error information.

- `code` (integer, optional) — Error code.
- `msg` (string, optional, nullable) — Error message.

## Examples

**Response**

```json
{
  "ProcessId": 0,
  "RequestDate": "",
  "ProcessingStart": "",
  "ProcessingEnd": "",
  "Status": "",
  "Downloads": {
    "InputFile": "",
    "InputFileDownload": "",
    "OutputFile": "",
    "OutputFileDownload": ""
  },
  "Error": [
    {
      "code": 0,
      "msg": ""
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.communications.avalara.com/api/v2/geo/batch/status/processId"

headers = {
    "client_id": "1",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.communications.avalara.com/api/v2/geo/batch/status/processId';
const options = {method: 'GET', headers: {client_id: '1', Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.communications.avalara.com/api/v2/geo/batch/status/processId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client_id", "1")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.communications.avalara.com/api/v2/geo/batch/status/processId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client_id"] = '1'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.communications.avalara.com/api/v2/geo/batch/status/processId")
  .header("client_id", "1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.communications.avalara.com/api/v2/geo/batch/status/processId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'client_id' => '1',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.communications.avalara.com/api/v2/geo/batch/status/processId");
var request = new RestRequest(Method.GET);
request.AddHeader("client_id", "1");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client_id": "1",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.communications.avalara.com/api/v2/geo/batch/status/processId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```